<?php
/**
 * Plugin Name: Example Plugin
 * Version: 1.0.0
 * Description: This plugin requires Shortcodes Ultimate
 * Author: Vladimir Anokhin
 */

require_once plugin_dir_path( __FILE__ ) . 'class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'my_plugin_register_required_plugins' );

function my_plugin_register_required_plugins() {

	$plugins = array(
		array(
			'name'        => 'Shortcodes Ultimate',
			'slug'        => 'shortcodes-ultimate',
			'version'     => '4.9.9',
			'is_callable' => 'shortcodes_ultimate',
		),
	);

	// http://tgmpluginactivation.com/configuration/#h-plugin-parameters
	$config = array(
		'id' => 'my_plugin',
	);

	tgmpa( $plugins, $config );

}
